#logging.level.org.keycloak=DEBUG
#logging.level.org.springframework=DEBUG
server.port=8085

spring.datasource.url=jdbc:postgresql://localhost:5432/dashboarddb
spring.datasource.driver-class-name=org.postgresql.Driver
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
spring.datasource.username=${POSTGRES_USERNAME:postgres}
spring.datasource.password=${POSTGRES_PASSWORD:postgres}
spring.jpa.show-sql=true
spring.jpa.generate-ddl=true
#spring.jpa.hibernate.ddl-auto=create


springdoc.swagger-ui.path=/swagger-ui.html


keycloak.enabled=true
keycloak.public-client=true
#keycloak.auth-server-url=${IDM_URI:http://localhost:9080/auth}
keycloak.auth-server-url=${IDM_URI:http://localhost:8081/auth}
keycloak.realm=urbanite
keycloak.resource=urbanite
keycloak.bearer-only=true
keycloak.principal-attribute=preferred_username
#keycloak.use-resource-role-mappings=true
#keycloak.ssl-required=external
idm.user4view.username=${IDM_USER4VIEW_USERNAME:urbanite}
idm.user4view.password=${IDM_USER4VIEW_PASSWORD:urbanite}

